Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	Nameserver information handler
Name:		resolvconf
Version:	1.43
Release:	3
License:	GPL v2
Group:		Networking
Source0:	ftp://ftp.debian.org/debian/pool/main/r/resolvconf/%{name}_%{version}.tar.gz
Source201:	%{name}.init
Source202:	%{name}.sysconfig
Patch0:		%{name}-ccux.patch
Patch1: 	resolvconf-1.36-path.patch
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(post):         chkconfig
requires(postun):       chkconfig

%define		_exec_prefix	/
%define		_libdir			/lib

%description
Resolvconf is a framework for keeping track of the system's
information about currently available nameservers. It sets itself up
as the intermediary between programs that supply nameserver
information and programs that use nameserver information.

%post
if [ "$1" -eq "1" ]; then
    /sbin/chkconfig --add resolvconf
    /sbin/chkconfig resolvconf on
fi
if [ ! -L /etc/resolv.conf ]; then
    ln -sf /etc/resolvconf/run/resolv.conf /etc/resolv.conf
fi

%preun
if [ "$1" -eq "0" ]; then
    /etc/rc.d/init.d/resolvconf stop > /dev/null 2>&1 ||:
    /sbin/chkconfig --del resolvconf
fi


%prep
%setup -q
%patch0 -p1
%patch1 -p1
touch etc/resolvconf/resolv.conf.d/tail

# cleanup backups after patching
find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{sysconfig,rc.d/init.d},%{_sysconfdir}/%{name}/run/interface,%{_libdir}/%{name},%{_sbindir},%{_mandir}/{ru/,}man{5,8}}

cp -a etc/%{name}/* $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install bin/resolvconf $RPM_BUILD_ROOT%{_sbindir}
install bin/list-records $RPM_BUILD_ROOT%{_libdir}/%{name}
cp -a man/interface-order.5 $RPM_BUILD_ROOT%{_mandir}/man5
cp -a man/resolvconf.8 $RPM_BUILD_ROOT%{_mandir}/man8
install %{SOURCE201} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE202} $RPM_BUILD_ROOT/etc/sysconfig/%{name}
touch $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/run/resolv.conf
touch $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/run/enable-updates

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_sbindir}/resolvconf
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%dir %{_libdir}/resolvconf
%attr(755,root,root) %{_libdir}/resolvconf/list-records
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/resolv.conf.d
%dir %{_sysconfdir}/%{name}/update.d
%dir %{_sysconfdir}/%{name}/update-libc.d
%dir %{_sysconfdir}/%{name}/run
%dir %{_sysconfdir}/%{name}/run/interface
%ghost %{_sysconfdir}/%{name}/run/resolv.conf
%ghost %{_sysconfdir}/%{name}/run/enable-updates
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/interface-order
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/resolv.conf.d/base
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/resolv.conf.d/head
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/resolv.conf.d/tail
%attr(755,root,root) %{_sysconfdir}/%{name}/update.d/bind
%attr(755,root,root) %{_sysconfdir}/%{name}/update.d/dnscache
%attr(755,root,root) %{_sysconfdir}/%{name}/update.d/libc
%{_mandir}/man5/interface-order.5*
%{_mandir}/man8/resolvconf.8*

%changelog
* Fri Feb 06 2009 Christian Metzen <metzench@ccux-linux.de> 1.43-3
- fixed init script
- add resolv.conf symlink
* Fri Feb 06 2009 Christian Metzen <metzench@ccux-linux.de> 1.43-2
- add path patch
* Fri Feb 06 2009 Christian Metzen <metzench@ccux-linux.de> 1.43-1
- Initial CCux package release
